language: cpp
sudo: false

os:
  - linux

compiler:
  - gcc
  - clang

addons.apt.packages:
  - libglfw3-dev
  - libxrandr-dev
  - libxi-dev
  - libxxf86vm-dev
    
script: 
  - make -C examples/opengl_example
  - make -C examples/opengl3_example

